You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@trafficserver.apache.org by zw...@apache.org on 2015/01/09 21:10:26 UTC

trafficserver git commit: Update the tsqa jenkins scripts to allow exclusions of tests known to fail

Repository: trafficserver
Updated Branches:
  refs/heads/master 5862f45ba -> 9eec1082c


Update the tsqa jenkins scripts to allow exclusions of tests known to fail


Project: http://git-wip-us.apache.org/repos/asf/trafficserver/repo
Commit: http://git-wip-us.apache.org/repos/asf/trafficserver/commit/9eec1082
Tree: http://git-wip-us.apache.org/repos/asf/trafficserver/tree/9eec1082
Diff: http://git-wip-us.apache.org/repos/asf/trafficserver/diff/9eec1082

Branch: refs/heads/master
Commit: 9eec1082c508d3c6ced1b5e53ef1f6234f0a8f41
Parents: 5862f45
Author: Leif Hedstrom <zw...@apache.org>
Authored: Fri Jan 9 13:10:15 2015 -0700
Committer: Leif Hedstrom <zw...@apache.org>
Committed: Fri Jan 9 13:10:18 2015 -0700

----------------------------------------------------------------------
 ci/jenkins/bin/tsqa.sh |  4 +--
 ci/tsqa/run_all.sh     | 62 ++++++++++++++++++++++++++++++++++++---------
 2 files changed, 52 insertions(+), 14 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/trafficserver/blob/9eec1082/ci/jenkins/bin/tsqa.sh
----------------------------------------------------------------------
diff --git a/ci/jenkins/bin/tsqa.sh b/ci/jenkins/bin/tsqa.sh
index ba78940..83b5c78 100755
--- a/ci/jenkins/bin/tsqa.sh
+++ b/ci/jenkins/bin/tsqa.sh
@@ -45,9 +45,9 @@ ${ATS_MAKE} -j8
 ${ATS_MAKE} install
 ${ATS_MAKE} clean
 
-# Run all the TSQA tests
+# Run all the TSQA tests. We skip a couple since they can not succeed from the CI
 cd ci/tsqa || exit 2
-./run_all.sh
+./run_all.sh -e test-multicert-loading -e test-privilege-elevation
 status=$?
 
 # Exit with proper status, right now there's only one test, but still

http://git-wip-us.apache.org/repos/asf/trafficserver/blob/9eec1082/ci/tsqa/run_all.sh
----------------------------------------------------------------------
diff --git a/ci/tsqa/run_all.sh b/ci/tsqa/run_all.sh
index c6a0dda..d2f04f2 100755
--- a/ci/tsqa/run_all.sh
+++ b/ci/tsqa/run_all.sh
@@ -18,25 +18,63 @@
 
 OK=()
 FAIL=()
+EXCLUDE=()
 STATUS=0
 
+# Produce a help page
+do_help() {
+    echo "run_all.sh: Run all TSQA tests"
+    echo
+    echo "Options:"
+    echo "	-e	Exclude the given test"
+    echo "	-h	Show this help page"
+}
+
+# Parse the arguments
+while getopts "e:" opt; do
+  case $opt in
+      e)
+	  EXCLUDE+=($OPTARG)
+	  ;;
+      \?|h)
+	  do_help
+	  exit 1
+	  ;;
+  esac
+done
+
+
 # Run all tests, record the results
 for test in test-*; do
-    echo "--> Starting test: $test"
-    ./${test}
-    res=$?
-    if [ $res != 0 ]; then
-	echo "Failure: ${test}"
-	FAIL+=(${test})
-	STATUS=1
-    else
-	echo "Success: ${test}"
-	OK+=(${test})
+    run_it=1
+    for ex in ${EXCLUDE[@]}; do
+	echo $ex
+	if [ "$ex" == "$test" ]; then
+	    run_it=0
+	    break
+	fi
+    done
+    if [ $run_it -ne 0 ]; then
+	echo "--> Starting test: $test"
+	./${test}
+	res=$?
+	if [ $res != 0 ]; then
+	    echo "Failure: ${test}"
+	    FAIL+=(${test})
+	    STATUS=1
+	else
+	    echo "Success: ${test}"
+	    OK+=(${test})
+	fi
     fi
 done
 
-echo "RESULTS"
-echo "======="
+
+# Print out a results summary
+echo
+echo
+echo "RESULT SUMMARY"
+echo "=============="
 for t in ${OK[@]}; do
     echo "$t	...OK"
 done